Refund Transactionpost https://sandbox.affirm.com/api/v1/transactions/{transaction_id}/refundRefunds a transaction. You can either refund the entire amount or specify a partial amount.Path Paramstransaction_idstringrequiredA unique ID representing the transaction’s loan or charge ID.Body ParamsThe request body used to refund a transaction.amountinteger | null≥ 1The amount to be refunded in cents. If the request omits this parameter, the entire remaining amount on the transaction will be fully refunded.reference_idstring | nullAn optional, unique identifier that may be associated with each transaction event and reconciled with the system of record used by the merchant.HeadersIdempotency-KeystringUnique identifier pre-generated by the client and used by the server to recognize successive calls to the same endpoint. This is required for Split Capture and encouraged for single transaction functionality. Note: If a request fails or times out, use the same idempotency key to retry the operation without risk of double-processing. For details, see the Idempotency section on About Split Capture.Responses 200HTTP 200 OK 400HTTP 400 Bad Request 401HTTP 401 Unauthorized 404HTTP 404 Not FoundUpdated 5 months ago